summarylogtreecommitdiffstats
path: root/gcc-ada.install
diff options
context:
space:
mode:
Diffstat (limited to 'gcc-ada.install')
-rw-r--r--gcc-ada.install20
1 files changed, 20 insertions, 0 deletions
diff --git a/gcc-ada.install b/gcc-ada.install
new file mode 100644
index 00000000000..df0553a4f4b
--- /dev/null
+++ b/gcc-ada.install
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(gnat-style.info gnat_rm.info gnat_ugn.info)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}